YUM is an open-source command-line package-management utility for RPM-compatible Linux operating systems.

learn more… | top users | synonyms

51
votes
11answers
47k views

How to know from which yum repository a package has been installed

After I have installed a package by yum (with multiple repository configured), how can I found from which repository it has been installed? If I run yum info package name (or yum list package name), I ...
22
votes
5answers
35k views

How to install git to red hat enterprise linux 5.3 x64?

How can I configure yum to use some repository which has git rpms?
20
votes
4answers
74k views

How do I install an rpm that complains about rpmlib(FileDigests) <= 4.6.0-1?

Im trying to install an rpm file on CentOS 5 and Im not sure how to resolve this issues it brings up: $ rpm --install epel-release-6-5.noarch.rpm warning: epel-release-6-5.noarch.rpm: Header V3 ...
18
votes
2answers
619 views

Best Practices for updating a previously unmaintained server RHEL5.7

A new RedHat EL5.6 server has been recently put under my care. It is immediately obvious that, for the previous 12 months, little to no attention has been given to any sort of package updates. ...
15
votes
3answers
27k views

How do I upgrade to the latest PHP version in CentOS with yum?

I found some blog posts about this, but it's rather lack of descriptions on possible side effects. I could really use some detailed on these steps: How to add a repo that provides PHP 5.4 into yum ...
14
votes
3answers
13k views

How to install libpq-dev on Centos 5.5

In order to develop one web application based on postgresql, i need to install libpq on my centos. I can install it by "apt-get install libpq-dev" on ubuntu, but i can not install it on centos by ...
14
votes
4answers
18k views

Upgrade Subversion 1.6 to 1.7 on CentOS? (can't find yum repository)

I want to upgrade my SVN Server from 1.6 to 1.7. Unfortunately I can't find anything on the internet how to do this with yum. I have checked rpmforge-extras but it has only svn 1.6 and not 1.7 I ...
13
votes
3answers
14k views

Is there a way to install Apache Bench (ab) without installing apache

Can you provide instuctions on how to install ab on a fedora distro with or without installing the apache web server? With yum or compiling from source.
12
votes
4answers
45k views

What is the value of JAVA_HOME for CentOS?

I have install java through yum on CentOS, however another java programme needs to know what the JAVA_HOME environmental variable is. I know all about setting environmental variables, but what do I ...
12
votes
3answers
378 views

Notified when a file controlled by puppet is going to be changed by yum

Is it possible to receive a notification on the console when a package containing a file that is controlled by puppet is about to change that file? Meaning, in yum when doing yum update, is it ...
11
votes
2answers
11k views

What does that mean: packages excluded due to repository priority protections

When updating with yum i recieve the following message: yum update Loaded plugins: fastestmirror, priorities Loading mirror speeds from cached hostfile * atomic: www7.atomicorp.com * base: ...
11
votes
3answers
6k views

Installing Fedora RPMs in CentOS

How safe is it to install Fedora RPMs in CentOS 5? Does it depend on the version of the Fedora RPM or is it generally better to steer clear?
11
votes
6answers
7k views

Automatically check for Security Updates on CentOS or Scientific Linux?

We have machines running RedHat-based distros such as CentOS or Scientific Linux. We want the systems to automatically notify us if there are any known vulnerabilities to the installed packages. ...
10
votes
1answer
2k views

How to undo “yum remove python”

I have a Centos 6 based VPS with an ssh connection. Recently wanting to install python 2.7.2, I bravely ran: yum remove python wich apparently removed yum itself being written or depends on python. ...
9
votes
4answers
2k views

Best practice for automated Linux updates

We are working on a way to perform automatic updates for our RHEL/RHEL-based servers. Initial idea: Using Puppet, we disable the default repositories and point to our own. Then, we use ensure => ...
9
votes
1answer
5k views

How do you answer yes for yum install automatically

In centos how do you answer yes automatically for yum install so that it is an unassisted install?
8
votes
3answers
2k views

Do I need to restart server after a linux kernel update?

I am using webmin (which uses yum) to install updates on my server, and it somestimes updates kernel as well including kernel-firmware and kernel-headers. Do I need to restart the server after a ...
8
votes
4answers
3k views

How to upgrade Apache from 2.2.3 to 2.2.21

Using YUM I installed apache. Installed apache version is 2.2.3 Our security guy wants that we use 2.2.21 apache When I try yum update 'httpd' nothing happens - No Packages marked for Update I ...
8
votes
5answers
5k views

How do I install a yum package group with puppet?

Does puppet have a way to install a yum package group (e.g. 'Development Tools'), besides exec?
8
votes
2answers
337 views

Do old package versions in CentOS mean that they do not have security fixes?

We asked our admin to update SVN on our CentOS 6.5 server. He did so and the result was SVN 1.6.11. However the current version of SVN is 1.8.9. I know the CentOS yum repository is not always ...
7
votes
9answers
4k views

Is there any decent repositories for CentOS or Fedora?

I'm known as a hater of RPM/Yum based OS, just because i think their lacking of decent package repositories (at least for recent software). While in Debian/Ubuntu, there are a lot of good ...
7
votes
3answers
619 views

Specifying a source in puppet doesn't seem to work

I have been attempting to create a manifest for installing postgres 9.1 using puppet on a Centos 5 server. I have been trying to adapt the instructions at ...
7
votes
5answers
4k views

Automated “yum update” to keep server secure - pros and cons?

I'm considering adding a cronjob running yum -qy update on a regular basis on some machines that do not get regular maintenance. The goal would be to keep the machines up-to-date with regard to ...
7
votes
2answers
17k views

yum equivalent of “apt-get purge”

I want to reinstall a package on CentOS and start from scratch. In Debian, I can do a apt-get purge foo and it'll remove all config files for foo. yum remove foo doesn't remove the config files. Is ...
7
votes
3answers
3k views

Where can I find an online list of CentOS packages and their versions?

I am looking for an online list of the standard packages available for CentOS Linux. I know that if I had a CentOs system running, I could use yum to list packages. However, I am trying to evaluate ...
7
votes
2answers
241 views

How can I mirror a yum repository but download only the newest versions of each package?

I would like to mirror the following Yum/RPM repositories at http://yum.puppetlabs.com/ : http://yum.puppetlabs.com/el/6/products/ http://yum.puppetlabs.com/el/6/dependencies/ ...
7
votes
1answer
7k views

tell yum to ignore a single dependency

I'm trying to install winswitch on CentOs 6. It requires 'nxagent'. But in centos, the package name is 'nx'. Is there a way to tell yum to skip checking the 'nxagent' dependency (i installed 'nx' ...
6
votes
2answers
4k views

Why do I have .rpmnew file after an update?

I use yum to update my Fedora. After a huge update, I got many .rpmnew and .rpmsave files. I could understand if I had modified these files. But I'm sure that I didn't edit these files. What should I ...
6
votes
4answers
1k views

I deleted libssl.so.10

I cannot apt-get, I deleted libssl.so.10 most commands including wget give me something to the ends of libssl.so.10: cannot open shared object file: No such file or directory is there a reliable way ...
6
votes
3answers
7k views

Why are outdated packages installed by yum on CentOS? (specifically PHP 5.1) How to fix?

I'm working on a fresh CentOS server and am extremely annoyed to find out that yum does not work as smoothly and brilliantly as "apt-get install" does on Ubuntu. Installing a LAMP stack, I ran the ...
6
votes
2answers
577 views
6
votes
2answers
2k views

Installing a third party application package on CentOS 6.4 fails due to missing dependencies libcrypto.so.10 and libssl.so.10

This is a Canonical Question about OpenSSL binary compatibility issues between Red Hat Enterprise Linux (and its derivatives) 6.4 and 6.5. This issue applies to a wide variety of third party ...
6
votes
4answers
4k views

Yum doesn't install latest version of Git on Centos6

When I go to Gits download section it mentions that latest version is 1.8 and I can install it by yum install git on Fedora. I'm running CentOS6 so that command should also work for me, but yum tells ...
6
votes
2answers
7k views

How to remove packages that are no longer needed on CentOS 5?

While installing package I get some additional packages on dependency. But when I remove installed package with yum, the dependency packages are not removed, though I don't need them anymore. How ...
6
votes
2answers
112 views

During yum update, Python installation is updated. Do I need to restart running programs?

As the title says. If I run yum update(It's a CentOS box) and there happens to be a Python update. What happens if other users have running Python programs. Do I need to alert them to restart the ...
6
votes
1answer
370 views

Puppet package “ensure => latest” doesn't always work

I have a unique situation where the Puppet package ensure => latest directive only worked on some of my systems. Out of 30 servers, the packages updated properly on all but 4. I'm trying to get ...
6
votes
1answer
256 views

How to make a RHEL repo static for a specific release

I have been working with CentOS for quite a while now and i got used to the way the repos are managed. Recently a new proprietary app required the company to get RHEL licences and the repo management ...
5
votes
4answers
10k views

Munin on Centos 6 - missing perl MODULE_COMPAT_5.8.8

I'm trying to install Munin on a new VPS through yum install munin but I keep getting an error about a missing perl module: Requires: perl(:MODULE_COMPAT_5.8.8). This is the perl version currently ...
5
votes
1answer
4k views

How to install Apache Benchmark on CentOS?

I try to install Apache Benchmark using Is there a way to install Apache Bench (ab) without installing apache solutions on my centos but when i run yumdownloader httpd, i get error: root@local ...
5
votes
2answers
8k views

Disable the public key check for rpm installation

I want to make a DVD with some useful packages (for example php-common). The only problem is that if I try to install on a computer that's not connected to internet, I can't validate the public key. ...
5
votes
3answers
1k views

RHN/Yum update from Red Hat Enterprise Linux 5.0 to 5.1

I need to update a server from RHEL 5.0 to 5.1 When I use RHN/Yum and do a yum update the 5.0 server gets updated to 5.6 Is there a way to configure RHN/yum to update the server only to RHEL 5.1 ? ...
5
votes
3answers
4k views

yum search - package version

How can I tell the version of a package after doing a yum search? e.g. yum search rabbitmq returns rabbitmq-server.noarch : The RabbitMQ server I need to know the version of this server.
5
votes
3answers
2k views

Removed YUM? CentOS 5.5

After doing yum remove crontabs this appears after running yum: -bash: /usr/bin/yum: No such file or directory This was the output of yum remove crontabs: [root@vs270 opt]# yum remove crontabs ...
5
votes
1answer
2k views

How do I migrate from RHEL 5 to CentOS 5?

I've found myself in charge of installing some software on an old server running RHEL 5. Unfortunately, since it's just a development server now, it no longer rates a license. I'd like to continue ...
5
votes
1answer
350 views

When should one use EPEL 5 or EPEL 6?

I am not familiar with repos, and I don't get why there are several versions of EPEL (this is a bit philosophical I know, but I am afraid I am missing something in all that). Should I just look ...
5
votes
2answers
10k views

Install libxml2 2.7.X on CentOS 5.X

CentOS ships with libxml2-2.6.26. I have to install at least 2.7.X version. I downloaded RPMs for libxml2, libxml2-devel and libxml2-python (2.7.8) from XMLSOFT (http://xmlsoft.org/sources/). I am ...
5
votes
7answers
17k views

Yum update not working on CentOS 6.2 minimal install

Note: This is my first question on the stack exchange network so please give mercy and provide guidance where needed. I have installed a CentOS 6.2 KVM guest and I am having problem getting yum to ...
5
votes
2answers
4k views

how to add(and install) java openjdk repository to your yum fedora?

executing this command - yum install java-1.7.0-openjdk yields - No package java-1.7.0-openjdk available. That's because i don't have the repo - but im a little clueless as to where, and how to add ...
5
votes
1answer
1k views

Creating a local rpmforge mirror?

I make good use of RPMforge for my production CentOS systems. I have local repositories for the main CentOS distribution and updates, however, recent automated kickstart installs are starting to hang ...
5
votes
1answer
149 views

Why does installing the same package twice with yum not give me the same files?

The situation I am facing: I set up a CentOS 5.9 machine that is supposed to be as close as possible a copy of another CentOS 5.9 machine, but not a clone. Using yum, I installed (as far as possible) ...